MUSICXML2LY(1)

NAME
musicxml2ly - manual page for musicxml2ly (LilyPond) 2.16.1

SYNOPSIS
musicxml2ly [OPTION]... FILE.xml

DESCRIPTION
Convert MusicXML from FILE.xml to LilyPond input. If the given filename is -, musicxml2ly reads from the command line.

OPTIONS

-h, --help
    show this help and exit

--version
    show version number and exit

-v, --verbose
    be verbose

--lxml
    use lxml.etree; uses less memory and cpu time

-z, --compressed
    input file is a zip-compressed MusicXML file

-r, --relative
    convert pitches in relative mode (default)

-a, --absolute
    convert pitches in absolute mode

-l, --language=LANG
    use LANG for pitch names, e.g. 'deutsch' for note names in German

--loglevel=LOGLEVEL
    Print log messages according to LOGLEVEL (NONE, ERROR, WARNING, PROGRESS (default), DEBUG)

--nd --no-articulation-directions
    do not convert directions (^, _ or -) for articulations, dynamics, etc.

--nrp --no-rest-positions
    do not convert exact vertical positions of rests

--npl --no-page-layout
    do not convert the exact page layout and breaks

--no-beaming
    do not convert beaming information, use lilypond's automatic beaming instead

-o, --output=FILE
    set output filename to FILE, stdout if -

-m, --midi
    activate midi-block

REPORTING BUGS
Report bugs via http://post.gmane.org/post.php?group=gmane.comp.gnu.lilypond.bugs

COPYRIGHT
Copyright © 2005--2012 by

    Han-Wen Nienhuys <hanwen@xs4all.nl>, Jan Nieuwenhuizen <janneke@gnu.org> and Reinhold Kainhofer <reinhold@kainhofer.com>

This program is free software. It is covered by the GNU General Public License and you are welcome to change it and/or distribute copies of it under certain conditions. Invoke as `lilypond --warranty' for more information.

SEE ALSO
The full documentation for musicxml2ly is maintained as a Texinfo manual. If the info and musicxml2ly programs are properly installed at your site, the command

    info musicxml2ly

should give you access to the complete manual.